Set or remove discounts on multiple offers
curl --request PUT \
--url https://skycoach.gg/api/shop/marketplace/offers/discount/bulk \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offers": [
{
"id": 123,
"discount_percent": 20
}
]
}
'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk"
payload = { "offers": [
{
"id": 123,
"discount_percent": 20
}
] }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offers: [{id: 123, discount_percent: 20}]})
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/discount/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'offers' => [
[
'id' => 123,
'discount_percent' => 20
]
]
]),
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk"
payload := strings.NewReader("{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://skycoach.gg/api/shop/marketplace/offers/discount/bulk")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://skycoach.gg/api/shop/marketplace/offers/discount/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": 123,
"status": "pending",
"eligible_at": "2026-08-04T00:00:00+00:00"
}
],
"errors": [
{
"id": 999,
"reason": "Offer not found"
}
]
}{
"message": "Unauthenticated."
}{
"message": "The offers field is required."
}Offer Discount
Set or remove discounts on multiple offers
Bulk version of the discount endpoint. Eligible offers are processed asynchronously via queue — status applied means the job was dispatched, not that the discount is already written to DB.
*
discount_percent = 0removes both pending and applied (seller_lk) discounts for the given offer.
PUT
/
api
/
shop
/
marketplace
/
offers
/
discount
/
bulk
Set or remove discounts on multiple offers
curl --request PUT \
--url https://skycoach.gg/api/shop/marketplace/offers/discount/bulk \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offers": [
{
"id": 123,
"discount_percent": 20
}
]
}
'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk"
payload = { "offers": [
{
"id": 123,
"discount_percent": 20
}
] }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offers: [{id: 123, discount_percent: 20}]})
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/discount/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'offers' => [
[
'id' => 123,
'discount_percent' => 20
]
]
]),
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://skycoach.gg/api/shop/marketplace/offers/discount/bulk"
payload := strings.NewReader("{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://skycoach.gg/api/shop/marketplace/offers/discount/bulk")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://skycoach.gg/api/shop/marketplace/offers/discount/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"offers\": [\n {\n \"id\": 123,\n \"discount_percent\": 20\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": 123,
"status": "pending",
"eligible_at": "2026-08-04T00:00:00+00:00"
}
],
"errors": [
{
"id": 999,
"reason": "Offer not found"
}
]
}{
"message": "Unauthenticated."
}{
"message": "The offers field is required."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes